:root{
    --main-color: rgb(3, 110, 110);
    --primary-color:rgb(20, 3, 59);
    --secondary-color:rgb(43, 26, 82);
    --header-color: rgba(3, 110, 110, 0.938);
}
body{
    background-color: rgba(5, 5, 5, 0.993);
    width:100vw;
    overflow-x: hidden;
    font-family: Arial, Helvetica, sans-serif;
    color: white;
}
*,*::before,*::after{
    margin:0;
    padding:0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 100px;
}
a{
    text-decoration: none;
    font-weight: bolder;
    color: white;
}
main{
    position:absolute;
    left:0px;
    width:100vw;
}
section{
    height: 100vh;
    width:100vw;
}
/* Navigation section*/
nav{
    display:flex;
    background-color: whitesmoke;
    width:90%;
    height:90px;
    justify-content: space-around;
    align-items: center;
    z-index:1;
    border-bottom: 3px solid rgba(61, 70, 61, 0.322);
    position: fixed;
    z-index: 10;
    width: 100vw;
    background-color: rgba(48, 48, 133, 0.459);
}
nav ul{
    display: flex;
    justify-content: space-evenly;
}
nav li{
    list-style: none;
    width:100px;
    height: 50px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10%;
}
nav li:hover a {
    color: rgb(3, 110, 110);
}
nav h4{
    border: 1px solid rgb(109, 109, 109);
    padding: 1%;
}
/*WELCOME SECTION*/
#intro{
    height: 80vh;
    margin: 4rem 0 0 0;
    display: flex;
    align-items: center;
    justify-content: center;               
}
.intro-content{
    width: 96vw;
    margin: 2rem auto;
    display: flex;
    justify-content: center;
    justify-content: space-evenly;
    align-items: center;
}
.intro-item{
    width: 40%;
    text-align: center;
}
.intro-item h1{
    font-size: 5rem;
    margin-bottom: 5%;
    color: rgb(48, 48, 133);
}
#intro img{
    width: 30%;
    height: 30%;
    border-radius: 50%;
}
@media(max-width:800px){
    #intro{
        height: fit-content;
        padding: 4% 0;
    }
    .intro-content{
        flex-direction: column;
        height: fit-content;
        justify-content: space-between;
    }
    .intro-item{
        width: 100%;
        margin: 2%;
    }
}
/*PROJECT SECTION*/
#projects{
    height: 85vh;
    min-height: fit-content;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.project-header{
    font-weight: bolder;
    margin-bottom: 1.5rem;
    font-size: 2rem;
}
.project-gallery{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 2rem;
    width: 90%;
}
@media(max-width:800px){
    .project-gallery{
        flex-direction: column;
    }
}
.item{
    padding: 1rem;
    transition: transform 0.3s ease-out;
}
.item:hover{
    opacity: 0.95;
    transform: translateY(-4px);
    color: rgb(48, 48, 133);
}
.item img{
    width: 100%;
    max-width: 500px;
    border-radius: 10px;
}
#projects button{
    padding: 0.1rem;
    border: none;
    border-radius: 10px;
    background-color: rgb(48, 48, 133);
    color: white;
    display: flex;
    align-items: center;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}
.button-bottom{
    font-size: 1rem;
    display: flex;
    align-items: center;
    padding: 0 0.5rem 0 0.4rem;
    margin-left: 0 -80px;
}
#projects button:hover{
    transform: translateY(2px);
    color: rgb(124, 175, 100);
} 
#projects .icon{
    font-size: 2.5rem;
}
/*CONTACT SECTION*/
#contact{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    line-height: 1.7rem;
    height:75vh;
}
p{
    text-align: center;
    margin:20px;
}
h1{
    text-align: center;
    font-weight: bold;
    font-size: 3rem;
}
.social-icons{
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 980px;
    margin-top: 4rem;
}
.icon{
    font-size: 50px;
    margin-left:40px;
    margin: 0 30px;
    transition: transform 0.3s ease-out;
}
#contact .icon:hover{
    transform: translateY(-4px);
}
.linkedin:hover{
    color:rgb(7, 136, 241);
}
.google:hover{
    color:rgb(224, 41, 41);
}
/*FOOTER SECTION*/
footer{
    border-top:5px solid rgb(48, 48, 133);
    height:80px;
    display: flex;
    padding:10px;
    justify-content: space-evenly;
}